Subject: bug#79364: [wishlist] make pulse handle remapped default face

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Sep 2025 12:09:42 +0300

severity 79364 wishlist
thanks

> From: Gabriel do Nascimento Ribeiro <[email-masked]>
> Date: Mon, 1 Sep 2025 22:44:33 +0000
> msip_labels: 
> 
> Currently, pulse functions use the background from the standard default face to
> calculate the pulse colors.  It doesn't work properly if the default face is
> remapped to a different background, since 'face-attribute' does not return the
> remapped property.  So, for example, the default background is blue and it's
> remapped to red in a particular window, pulse will unconditionally pulse using
> blue as the target color in all windows.  My suggestion is to make pulse.el
> properly handle the case of remapped background of the default face.

Thanks, patches to take face-remapping into account are welcome.